> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tokenfactory.nebius.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a custom model by full name

> Get a custom model model by full name



## OpenAPI

````yaml https://api.tokenfactory.nebius.com/openapi.json get /v0/models/{vendor}/{full_name}
openapi: 3.1.0
info:
  title: Nebius OpenAI-compatible inference API
  version: 20260506-297d05704
servers:
  - url: https://api.tokenfactory.nebius.com
security: []
paths:
  /v0/models/{vendor}/{full_name}:
    get:
      tags:
        - models
      summary: Get a custom model by full name
      description: Get a custom model model by full name
      operationId: get_model_by_vendor_and_fullname_v0_models__vendor___full_name__get
      parameters:
        - name: full_name
          in: path
          required: true
          schema:
            type: string
            title: Full Name
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CustomModelInfoResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    CustomModelInfoResponse:
      properties:
        type:
          type: string
          enum:
            - text2text
          const: text2text
          title: Type
        name:
          type: string
          title: Name
        created_at:
          anyOf:
            - type: string
            - type: integer
            - type: 'null'
          title: Created At
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        deprecated:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Deprecated
        status:
          $ref: '#/components/schemas/ModelStatus'
        logo_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Logo Url
        huggingface_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Huggingface Url
        flavors:
          items:
            $ref: '#/components/schemas/VllmModelFlavor'
          type: array
          title: Flavors
        fine_tune:
          anyOf:
            - $ref: '#/components/schemas/ModelFineTuneSettings'
            - type: 'null'
        post_train:
          anyOf:
            - items:
                $ref: '#/components/schemas/PostTrainEntry'
              type: array
            - type: 'null'
          title: Post Train
        vendor:
          type: string
          title: Vendor
        tags:
          items:
            type: string
          type: array
          title: Tags
        use_cases:
          items:
            type: string
          type: array
          title: Use Cases
        context_window_k:
          type: integer
          title: Context Window K
        size_b:
          type: number
          title: Size B
        quality:
          anyOf:
            - type: number
            - type: 'null'
          title: Quality
        policy_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Policy Url
        license:
          anyOf:
            - $ref: '#/components/schemas/ModelLicense'
            - type: 'null'
        status_reason:
          anyOf:
            - type: string
            - type: 'null'
          title: Status Reason
        checkpoint_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Checkpoint Id
        job_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Job Id
        file_id:
          anyOf:
            - type: string
            - type: 'null'
          title: File Id
        url:
          anyOf:
            - type: string
            - type: 'null'
          title: Url
      type: object
      required:
        - type
        - name
        - status
        - flavors
        - vendor
        - tags
        - use_cases
        - context_window_k
        - size_b
      title: CustomModelInfoResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ModelStatus:
      type: string
      enum:
        - validating
        - active
        - error
        - deleted
      title: ModelStatus
      description: Enum representing the possible statuses of a model.
    VllmModelFlavor:
      properties:
        model_id:
          type: string
          title: Model Id
        alias_for:
          anyOf:
            - type: string
            - type: 'null'
          title: Alias For
        quantization:
          anyOf:
            - $ref: '#/components/schemas/QuantizationType'
            - type: 'null'
        model_type:
          type: string
          enum:
            - text2text
            - embedding
            - rerank
            - guard
            - image2text
          title: Model Type
        model_name:
          type: string
          title: Model Name
        model_description:
          type: string
          title: Model Description
          default: ''
        label:
          type: string
          title: Label
        external_provider:
          type: boolean
          title: External Provider
          default: false
        tags:
          items:
            type: string
          type: array
          title: Tags
        use_cases:
          items:
            type: string
          type: array
          title: Use Cases
        input_price_per_million_tokens:
          type: number
          title: Input Price Per Million Tokens
        output_price_per_million_tokens:
          type: number
          title: Output Price Per Million Tokens
        tokens_per_second:
          type: number
          title: Tokens Per Second
        input_tps:
          anyOf:
            - type: number
            - type: 'null'
          title: Input Tps
        limits:
          anyOf:
            - $ref: '#/components/schemas/ModelLimits'
            - type: 'null'
        max_model_len:
          type: integer
          title: Max Model Len
        supports_lora_adapters:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Supports Lora Adapters
        regions:
          anyOf:
            - items:
                $ref: '#/components/schemas/RichModelRegion'
              type: array
            - type: 'null'
          title: Regions
        ai_project_ids:
          anyOf:
            - items:
                type: string
              type: array
              uniqueItems: true
            - type: 'null'
          title: Ai Project Ids
        blocked_ai_project_ids:
          anyOf:
            - items:
                type: string
              type: array
              uniqueItems: true
            - type: 'null'
          title: Blocked Ai Project Ids
        context_window_k:
          anyOf:
            - type: integer
            - type: 'null'
          title: Context Window K
      type: object
      required:
        - model_id
        - model_type
        - model_name
        - label
        - tags
        - use_cases
        - input_price_per_million_tokens
        - output_price_per_million_tokens
        - tokens_per_second
        - max_model_len
      title: VllmModelFlavor
    ModelFineTuneSettings:
      properties:
        model_id:
          type: string
          title: Model Id
        training_price_per_million_tokens:
          anyOf:
            - type: number
            - type: 'null'
          title: Training Price Per Million Tokens
        training_types:
          anyOf:
            - items:
                $ref: '#/components/schemas/TrainingType'
              type: array
            - type: 'null'
          title: Training Types
      type: object
      required:
        - model_id
      title: ModelFineTuneSettings
    PostTrainEntry:
      properties:
        type:
          type: string
          title: Type
        price_per_context_length:
          additionalProperties:
            $ref: '#/components/schemas/PostTrainPriceInfo'
          type: object
          title: Price Per Context Length
        model_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Model Id
      type: object
      required:
        - type
        - price_per_context_length
      title: PostTrainEntry
    ModelLicense:
      properties:
        url:
          type: string
          title: Url
        type:
          type: string
          title: Type
        name:
          type: string
          title: Name
      type: object
      required:
        - url
        - type
        - name
      title: ModelLicense
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    QuantizationType:
      type: string
      enum:
        - int4
        - int8
        - fp4
        - fp6
        - fp8
        - fp16
        - bf16
        - fp32
      title: QuantizationType
      description: >-
        Allowed quantization types according to
        https://openrouter.ai/docs/use-cases/for-providers.
    ModelLimits:
      properties:
        tokens_per_minute:
          type: number
          title: Tokens Per Minute
          default: 0
        requests_per_minute:
          type: number
          title: Requests Per Minute
        burst_ratio:
          type: number
          title: Burst Ratio
          default: 1
        dynamic:
          anyOf:
            - $ref: '#/components/schemas/ModelDynamicLimits'
            - type: 'null'
        user_specific:
          anyOf:
            - additionalProperties:
                $ref: '#/components/schemas/ModelLimitsBase'
              type: object
            - type: 'null'
          title: User Specific
        rate_limit_enabled:
          type: boolean
          title: Rate Limit Enabled
          default: true
      type: object
      required:
        - requests_per_minute
      title: ModelLimits
    RichModelRegion:
      properties:
        country_code:
          type: string
          title: Country Code
        name:
          type: string
          title: Name
      type: object
      required:
        - country_code
        - name
      title: RichModelRegion
    TrainingType:
      type: string
      enum:
        - full
        - lora
        - drafter
      title: TrainingType
    PostTrainPriceInfo:
      properties:
        sku_id:
          type: string
          title: Sku Id
        price:
          type: number
          title: Price
      type: object
      required:
        - sku_id
        - price
      title: PostTrainPriceInfo
    ModelDynamicLimits:
      properties:
        enabled:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Enabled
      type: object
      title: ModelDynamicLimits
    ModelLimitsBase:
      properties:
        tokens_per_minute:
          type: number
          title: Tokens Per Minute
          default: 0
        requests_per_minute:
          type: number
          title: Requests Per Minute
        burst_ratio:
          type: number
          title: Burst Ratio
          default: 1
        dynamic:
          anyOf:
            - $ref: '#/components/schemas/ModelDynamicLimits'
            - type: 'null'
      type: object
      required:
        - requests_per_minute
      title: ModelLimitsBase
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````